Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep.evaluation
Class ExpressionCompiler

    java.lang.Object
      org.nfunk.jep.evaluation.ExpressionCompiler

All Implemented Interfaces:
  ParserVisitor

    public class ExpressionCompiler

extends java.lang.Object
implements ParserVisitor

Constructor Summary
`ExpressionCompiler()`

Method Summary
`CommandElement[]` | `compile(Node node)`
`java.lang.Object` | `visit(ASTConstant node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFunNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStart node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVarNode node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionCompiler

    public ExpressionCompiler()

Method Detail

### compile

    public CommandElement[] compile(Node node)
                             throws ParseException

  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTFunNode node,
                                  java.lang.Object data)
                           throws ParseException

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTVarNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTConstant node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTStart node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems